Name: perl-UCS
Version: 0.5
Release: alt1

Summary: The UCS/Perl is a collection of libraries and scripts for the statistical analysis of cooccurrence data 

License: %perl_license
Group: Text tools
Url: http://www.collocations.de

Packager: Kirill Maslinsky <kirill@altlinux.org>

BuildArch: noarch
Source: %name-%version.tar

BuildRequires(pre): rpm-build-licenses rpm-build-perl

# Automatically added by buildreq on Fri Oct 10 2008
BuildRequires: R-base a2ps perl-Expect perl-Term-ReadKey perl-Tk-Pod perldoc

%description
The UCS toolkit is a collection of libraries and scripts for the statistical
analysis of cooccurrence data. Data sets - each one containing a list of word
pairs together with their joint and marginal frequencies - are stored in a
tabular format in plain (compressed) text files. They can be viewed, printed,
manipulated in various ways, annotated with association scores from a wide
range of built-in measures, ranked, and sorted with the UCS/Perl system.
Additional functionality for the graphical evaluation of association measures
in a collocation extraction task (cf. Evert & Krenn, 2001) is provided by the
UCS/R system. 

%prep
%setup -q -n %name-%version

%build
perl System/Install.perl --clean --force

# remove paths hacked into files
subst '1s,-I.*$,,' System/perl/bin/*
subst "s,^\(ucs\.basedir <- \)'[^']\+',\1'%_datadir/%name'," System/R/lib/ucs.R
subst "s,^\(ucs\.dataset\.dir <- \)'[^']\+',\1'%_datadir/%name/DataSet'," System/R/lib/ucs.R

%install
mkdir -p %buildroot/%_bindir
cp System/perl/bin/* %buildroot/%_bindir/
# there's no RSPerl in Sysiphus yet
rm -f System/perl/lib/UCS/R/RSPerl.pm
mkdir -p %buildroot/%perl_vendor_privlib
cp -a System/perl/lib/UCS* %buildroot/%perl_vendor_privlib/
cp -a System/perl/lib/pod/* %buildroot/%perl_vendor_privlib/
mkdir -p %buildroot/%_datadir/%name
cp -a System/R %buildroot/%_datadir/%name
cp -a DataSet %buildroot/%_datadir/%name
cp -a System/perl/contrib %buildroot/%_datadir/%name

%files 
%doc doc/* README 
%_bindir/*
%perl_vendor_privlib/UCS*
%perl_vendor_privlib/*.pod
%_datadir/%name


%changelog
* Fri Oct 10 2008 Kirill Maslinsky <kirill@altlinux.org> 0.5-alt1
- Initial build for Sisyphus
	+ all R files placed in %%_datadir/%%name by far
	+ minimal requires set
	+ built without RSPerl (not present in Sisyphus)

